package io.renren.modules.app.dao;

import io.renren.modules.app.entity.Cxtj_CxtjCfzhEntity;
import io.renren.modules.app.entity.Cxtj_CxtjCqrbgEntity;
import io.renren.modules.app.entity.Cxtj_CxtjCsbEntity;
import io.renren.modules.app.entity.Cxtj_CxtjFwbgEntity;
import io.renren.modules.app.entity.Cxtj_CxtjFwwxqkEntity;
import io.renren.modules.app.entity.Cxtj_CxtjGgsyfpEntity;
import io.renren.modules.app.entity.Cxtj_CxtjJkcxEntity;
import io.renren.modules.app.entity.Cxtj_CxtjTyEntity;
import io.renren.modules.app.entity.Cxtj_CxtjZqcxEntity;
import io.renren.modules.app.entity.Cxtj_CxtjZzcxEntity;
import io.renren.modules.app.entity.Cxtj_FhmxzEntity;
import io.renren.modules.app.entity.Cxtj_GrjcHstjEntity;
import io.renren.modules.app.entity.Cxtj_GrjcJcybEntity;
import io.renren.modules.app.entity.Cxtj_GrjcqkEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 查询统计 -分户明细账
 *
 * @author wt
 * @email 1271428398@qq.com
 * @date 2019-04-19 00:00:00
 */
@Mapper
public interface Cxtj_FhmxzDao extends BaseMapper<Cxtj_FhmxzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param xmEntity
	 * @return
	 */
	List<Cxtj_FhmxzEntity> queryByPage(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	List<Cxtj_FhmxzEntity> queryKfxm(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	List<Cxtj_FhmxzEntity> queryLymc(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	List<Cxtj_FhmxzEntity> queryFwxx(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	List<Cxtj_GrjcqkEntity> queryGrjcqkPage(Cxtj_GrjcqkEntity cxtj_GrjcqkEntity);

	List<Cxtj_GrjcHstjEntity> queryGrjcHstjPageOne(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
	List<Cxtj_GrjcHstjEntity> queryGrjcHstjPageOne2(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
	Cxtj_GrjcHstjEntity queryGrjcHstjPageOneDWYJ(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
	Cxtj_GrjcHstjEntity queryGrjcHstjPageOneDWYJQC(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);

	List<Cxtj_GrjcHstjEntity> queryGrjcHstjPageTwo(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
	List<Cxtj_GrjcHstjEntity> queryGrjcHstjPageTwo2(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
    Cxtj_GrjcHstjEntity queryGrjcHstjPageOneDWYJ2(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);
	
	Cxtj_GrjcHstjEntity queryGrjcHstjPageOneDWYJQC2(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);

	List<Cxtj_GrjcHstjEntity> queryGrjcHstjPageSan(Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);

	List<Cxtj_GrjcJcybEntity> queryGrjcJcybPage(Cxtj_GrjcJcybEntity cxtj_GrjcJcybEntity);
	
	List<Cxtj_CxtjZzcxEntity> queryCxtjZzcxPage(Cxtj_CxtjZzcxEntity cxtj_CxtjZzcxEntity);
	
	List<Cxtj_CxtjZqcxEntity> queryCxtjZqcxPage(Cxtj_CxtjZqcxEntity cxtj_CxtjZqcxEntity);
	
	List<Cxtj_CxtjJkcxEntity> queryCxtjJkcxPage(Cxtj_CxtjJkcxEntity cxtj_CxtjJkcxEntity);
	
	List<Cxtj_CxtjTyEntity> queryTyXqPage(Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	List<Cxtj_CxtjTyEntity> queryTyXmPage(Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	List<Cxtj_CxtjTyEntity> queryTyLyPage(Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	List<Cxtj_CxtjTyEntity> queryTySyxmPage(Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	List<Cxtj_CxtjTyEntity> queryTyHyxxPage(Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	List<Cxtj_CxtjFwwxqkEntity> queryCxtjFwwxqkPage2(Cxtj_CxtjFwwxqkEntity cxtj_CxtjFwwxqkEntity);
	
	List<Cxtj_CxtjGgsyfpEntity> queryCxtjGgsyfpPage(Cxtj_CxtjGgsyfpEntity cxtj_CxtjGgsyfpEntity);
	
	List<Cxtj_CxtjCqrbgEntity> queryCxtjCqrbgPage(Cxtj_CxtjCqrbgEntity cxtj_CxtjCqrbgEntity);
	
	List<Cxtj_CxtjCsbEntity> queryCxtjCsbPage(Cxtj_CxtjCsbEntity cxtj_CxtjCsbEntity);
	
	List<Cxtj_CxtjCfzhEntity> queryCxtjFwwxqkPage(Cxtj_CxtjCfzhEntity cxtj_CxtjCfzhEntity);
	
	List<Cxtj_CxtjFwbgEntity> queryCxtjFwbgPage(Cxtj_CxtjFwbgEntity cxtj_CxtjFwbgEntity);
	
	Cxtj_GrjcHstjEntity queryCxtjhs(Cxtj_GrjcHstjEntity Cxtj_GrjcHstjEntity);
	
	Cxtj_GrjcHstjEntity queryCxtjhs2(Cxtj_GrjcHstjEntity Cxtj_GrjcHstjEntity);
	
}
